Subject: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Andy Moreton <[email-masked]>
Date: Tue, 29 Jan 2013 21:25:13 +0000

On Tue 29 Jan 2013, Drew Adams wrote:

> The real shame is that because of its lacks (and its bad reputation resulting
> from those lacks and from its less-than-appealing UI) many novice users also
> skip using Customize interactively.  And they, above all, should not.
>
> Too often they do so from the mistaken notion that Customize is just for sissies
> and that somehow using a bit of Lisp in their init files makes them more
> Programmer and less Luser.

The poor discoverability of options and the need to use lisp forms in
some custom values eventaully force all users who do more than tinker at
the edges to learn some elisp and avoid Customize altogether.

> Unfortunately, that way they often miss out on the real power of custom*,
> including type-checking and :set forms, because they do not sufficiently
> understand what Lisp code to use.  `setq' on its own certainly does not cut the
> mustard, but it is common to see users rely on it.

The type checking may useful, but it shouldn't be buried in a library
that brings in so much extra cruft with it. Far better to make those
facilities available and useful whether the customize UI is used or not,
and to document this style of usage in the emacs manual (even if this is
only links to the elisp manual).

Customize is also strongly anti modular, lumping settings for eveything
together, and giving the user no control over per platform or per
machine settings. It also neatly ensures that the user cannot add any
comments to the customised settings when they are saved.

> The best thing that could happen - for users, IMO, is for Emacs developers to
> stop, themselves, using "Custom only for face settings" etc., and thus confront
> the deficiencies of the UI directly.  Turn your frustration with it into
> something constructive - for all users.

No, the best thing would be to remove Customize altogether :-)

    AndyM